import React from "react";
import { LanguageContext } from "../component/Language/LanguageContext";

export default function Contact() {
  return (
    <LanguageContext.Consumer>
      {({ language }) => (
        <div id="modal-contact" className="modal">
          <h2>{language.pages.contact.title}</h2>
          <p>{language.pages.contact.text}</p>
          <div>
            <a href="mailto:alexander@roese.dev">alexander@roese.dev</a>
          </div>
        </div>
      )}
    </LanguageContext.Consumer>
  );
}

/*
<form>
            <label>Name</label>
            <input
              type="text"
              name="name"
              placeholder={language.pages.contact.name.placeholder}
              required
            />

            <label>Email</label>
            <input
              type="email"
              name="email"
              placeholder={language.pages.contact.email.placeholder}
              required
            />

            <label>{language.pages.contact.subject.text}</label>
            <input
              type="text"
              name="subject"
              placeholder={language.pages.contact.subject.placeholder}
              required
            />

            <label>{language.pages.contact.message.text}</label>
            <textarea
              name="message"
              placeholder={language.pages.contact.message.placeholder}
              required
            />

            <button type="submit">{language.pages.contact.submit}</button>
          </form>
*/
